<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
  <head>
    <meta http-equiv="Content-type" content="text/html; charset=utf-8" />
    <title>Ruby on Rails: All aboard</title>
    <style type="text/css" media="screen">
      body {
        margin: 0;
        margin-bottom: 25px;
        padding: 0;
        background-color: #f0f0f0;
        font-family: "Lucida Grande", "Bitstream Vera Sans", "Verdana";
        font-size: 13px;
        color: #333;
      }
      
      h1 {
        font-size: 28px;
        color: #000;
      }
      
      a  {color: #03c}
      a:hover {
        background-color: #03c;
        color: white;
        text-decoration: none;
      }
      
      
      #page {
        background-color: #f0f0f0;
        width: 750px;
        margin: 0;
        margin-left: auto;
        margin-right: auto;
      }
      
      #content {
        float: left;
        background-color: white;
        border: 3px solid #aaa;
        border-top: none;
        padding: 25px;
        width: 500px;
      }
      
      #sidebar {
        float: right;
        width: 175px;
      }

      #footer {
        clear: both;
      }
      

      #header, #about, #getting-started {
        padding-left: 75px;
        padding-right: 30px;
      }


      #header {
        background-image: url("images/rails.png");
        background-repeat: no-repeat;
        background-position: top left;
        height: 64px;
      }
      #header h1, #header h2 {margin: 0}
      #header h2 {
        color: #888;
        font-weight: normal;
        font-size: 16px;
      }
      
      
      #about h3 {
        margin: 0;
        margin-bottom: 10px;
        font-size: 14px;
      }
      
      #about-content {
        background-color: #ffd;
        border: 1px solid #fc0;
        margin-left: -11px;
      }
      #about-content table {
        margin-top: 10px;
        margin-bottom: 10px;
        font-size: 11px;
        border-collapse: collapse;
      }
      #about-content td {
        padding: 10px;
        padding-top: 3px;
        padding-bottom: 3px;
      }
      #about-content td.name  {color: #555}
      #about-content td.value {color: #000}
      
      #about-content.failure {
        background-color: #fcc;
        border: 1px solid #f00;
      }
      #about-content.failure p {
        margin: 0;
        padding: 10px;
      }
      
      
      #getting-started {
        border-top: 1px solid #ccc;
        margin-top: 25px;
        padding-top: 15px;
      }
      #getting-started h1 {
        margin: 0;
        font-size: 20px;
      }
      #getting-started h2 {
        margin: 0;
        font-size: 14px;
        font-weight: normal;
        color: #333;
        margin-bottom: 25px;
      }
      #getting-started ol {
        margin-left: 0;
        padding-left: 0;
      }
      #getting-started li {
        font-size: 18px;
        color: #888;
        margin-bottom: 25px;
      }
      #getting-started li h2 {
        margin: 0;
        font-weight: normal;
        font-size: 18px;
        color: #333;
      }
      #getting-started li p {
        color: #555;
        font-size: 13px;
      }
      
      
      #search {
        margin: 0;
        padding-top: 10px;
        padding-bottom: 10px;
        font-size: 11px;
      }
      #search input {
        font-size: 11px;
        margin: 2px;
      }
      #search-text {width: 170px}
      
      
      #sidebar ul {
        margin-left: 0;
        padding-left: 0;
      }
      #sidebar ul h3 {
        margin-top: 25px;
        font-size: 16px;
        padding-bottom: 10px;
        border-bottom: 1px solid #ccc;
      }
      #sidebar li {
        list-style-type: none;
      }
      #sidebar ul.links li {
        margin-bottom: 5px;
      }
      
    </style>
    <script type="text/javascript" src="javascripts/prototype.js"></script>
    <script type="text/javascript" src="javascripts/effects.js"></script>
    <script type="text/javascript">
      function about() {
        if (Element.empty('about-content')) {
          new Ajax.Updater('about-content', 'rails/info/properties', {
            method:     'get',
            onFailure:  function() {Element.classNames('about-content').add('failure')},
            onComplete: function() {new Effect.BlindDown('about-content', {duration: 0.25})}
          });
        } else {
          new Effect[Element.visible('about-content') ? 
            'BlindUp' : 'BlindDown']('about-content', {duration: 0.25});
        }
      }
      
      window.onload = function() {
        $('search-text').value = '';
        $('search').onsubmit = function() {
          $('search-text').value = 'site:rubyonrails.org ' + $F('search-text');
        }
      }
    </script>
  </head>
  <body>
    <div id="page">
      <div id="sidebar">
        <ul id="sidebar-items">
          <li>
            <form id="search" action="http://www.google.com/search" method="get">
              <input type="hidden" name="hl" value="en" />
              <input type="text" id="search-text" name="q" value="site:rubyonrails.org " />
              <input type="submit" value="Search" /> the Rails site
            </form>
          </li>
        
          <li>
            <h3>Join the community</h3>
            <ul class="links">
              <li><a href="http://www.rubyonrails.org/">Ruby on Rails</a></li>
              <li><a href="http://weblog.rubyonrails.org/">Official weblog</a></li>
              <li><a href="http://lists.rubyonrails.org/">Mailing lists</a></li>
              <li><a href="http://wiki.rubyonrails.org/rails/pages/IRC">IRC channel</a></li>
              <li><a href="http://wiki.rubyonrails.org/">Wiki</a></li>
              <li><a href="http://dev.rubyonrails.org/">Bug tracker</a></li>
            </ul>
          </li>
          
          <li>
            <h3>Browse the documentation</h3>
            <ul class="links">
              <li><a href="http://api.rubyonrails.org/">Rails API</a></li>
              <li><a href="http://stdlib.rubyonrails.org/">Ruby standard library</a></li>
              <li><a href="http://corelib.rubyonrails.org/">Ruby core</a></li>
            </ul>
          </li>
        </ul>
      </div>

      <div id="content">
        <div id="header">
          <h1>Welcome aboard</h1>
          <h2>You&rsquo;re riding the Rails!</h2>
        </div>

        <div id="about">
          <h3><a href="rails/info/properties" onclick="about(); return false">About your application&rsquo;s environment</a></h3>
          <div id="about-content" style="display: none"></div>
        </div>
        
        <div id="getting-started">
          <h1>Getting started</h1>
          <h2>Here&rsquo;s how to get rolling:</h2>
          
          <ol>
            <li>
              <h2>Create your databases and edit <tt>config/database.yml</tt></h2>
              <p>Rails needs to know your login and password.</p>
            </li>
          
            <li>
              <h2>Use <tt>script/generate</tt> to create your models and controllers</h2>
              <p>To see all available options, run it without parameters.</p>
            </li>
            
            <li>
              <h2>Set up a default route and remove or rename this file</h2>
              <p>Routes are setup in config/routes.rb.</p>
            </li>
          </ol>
        </div>
      </div>
      
      <div id="footer">&nbsp;</div>
    </div>
  </body>
</html>